@ECHO OFF

SET OLDPATH=%PATH%
SET OLDINCLUDE=%INCLUDE%
SET OLDLIB=%LIB%

REM ---- Change this paths if needed ----
PATH=%PATH%;\HARBOUR\BIN;\BCC\BIN
SET INCLUDE=\FWH\INCLUDE;\HARBOUR\INCLUDE;\BCC\INCLUDE
SET LIB=\FWH\LIB;\HARBOUR\LIB;\BCC\LIB


BCC32 -c -D__HARBOUR__ -I.;%INCLUDE% -L%LIB% ole2.c
IF ERRORLEVEL 1 GOTO END

BCC32 -c -D__HARBOUR__ -I.;%INCLUDE% -L%LIB% push.c
IF ERRORLEVEL 1 GOTO END

harbour oleauto /n /i%INCLUDE% /p
IF ERRORLEVEL 1 GOTO END
BCC32 -M -c -O2 -I%INCLUDE% -tW oleauto.c
IF ERRORLEVEL 1 GOTO END
DEL oleauto.C
DEL oleauto.PPO

harbour comobj /n /i%INCLUDE% /p
IF ERRORLEVEL 1 GOTO END
BCC32 -M -c -O2 -I%INCLUDE% -tW comobj.c
IF ERRORLEVEL 1 GOTO END
DEL comobj.C
DEL comobj.PPO

harbour shlobj /n /i%INCLUDE% /p
IF ERRORLEVEL 1 GOTO END
BCC32 -M -c -O2 -I%INCLUDE% -tW shlobj.c
IF ERRORLEVEL 1 GOTO END
DEL shlobj.C
DEL shlobj.PPO

harbour oledb /n /i%INCLUDE% /p
IF ERRORLEVEL 1 GOTO END
BCC32 -M -c -O2 -I%INCLUDE% -tW oledb.c
IF ERRORLEVEL 1 GOTO END
DEL oledb.C
DEL oledb.PPO

if exist hbole.lib del hbole.lib
tlib hbole +ole2 +push +oleauto +comobj +shlobj +oledb
IF ERRORLEVEL 1 GOTO END

DEL OLE2.OBJ
DEL PUSH.OBJ
DEL OLEAUTO.OBJ
DEL COMOBJ.OBJ
DEL SHLOBJ.OBJ
DEL OLEDB.OBJ

:END

SET PATH=%OLDPATH%
SET INCLUDE=%OLDINCLUDE%
SET LIB=%OLDLIB%
SET OLDPATH=
SET OLDINCLUDE=
SET OLDLIB=
